CVE List

CVE-2020-24753

Critical 9.8

A memory corruption vulnerability in Objective Open CBOR Run-time (oocborrt) in versions before 2020-08-12 could allow an attacker to execute code via crafted Concise Binary Object Representation (CBOR) input to the cbor2json decoder. An uncaught error while decoding CBOR Major Type 3 text strings leads to the use of an attacker-controllable uninitialized stack value. This can be used to modify memory, causing a crash or potentially exploitable heap corruption.

Published September 17, 2020.

Affected software

Objective Open Cbor Run-time Project Objective Open Cbor Run-time

Reference links

Sign Up for Alerts